export const a50403 = {
  number: '0x03',
  title: 'Range -20°C to +60°C 10bit-measurement and 0% to 100%',
  status: 'released',
  description: '<span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: 20 seconds – 1 hour (one time configuration)\n            <br/>Trigger event: threshold/delta for observed value, heartbeat\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: -\n            <br/>Security level format: -',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '8',
      bitsize: '6'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '2'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Humidity',
      shortcut: 'HUM',
      description: 'Rel. Humidity (linear)',
      info: 'DB_3: Rel. Humidity 0...100%, linear n=0...250',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear)',
      info: 'Temperature (10 bit) -20...60°C, linear n=0...1023',
      bitoffs: '14',
      bitsize: '10',
      range: {
        min: '0',
        max: '1023'
      },
      scale: {
        min: '-20',
        max: '+60'
      },
      unit: '°C'
    }, {
      data: 'Telegram Type',
      shortcut: 'TTP',
      description: 'Telegram Type',
      info: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Heartbeat'
        }, {
          value: '1',
          description: 'Event triggered'
        }]
      }
    }]
  }],
  originalIndex: 40,
  eep: 'a5-04-03',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Temperature and Humidity Sensor',
  func_number: '0x04',
  submitter: [
    'ITEC'
  ]
}
