export const a50501 = {
  number: '0x01',
  title: 'Range 500 to 1150 hPa',
  status: 'released',
  description: '\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: 20 seconds – 1 hour (one time configuration)\n            <br/>Trigger event: threshold/delta for observed value, heartbeat\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: -\n            <br/>Security level format: -',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '0',
      bitsize: '6'
    }, {
      reserved: {},
      bitoffs: '16',
      bitsize: '12'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '2'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Barometer',
      shortcut: 'BAR',
      description: 'Barometer (linear)',
      info: 'Barometer 500...1150 hPa, linear n=0...1023',
      bitoffs: '6',
      bitsize: '10',
      range: {
        min: '0',
        max: '1023'
      },
      scale: {
        min: '500',
        max: '1150'
      },
      unit: 'hPa'
    }, {
      data: 'Telegram Type',
      shortcut: 'TTP',
      description: 'Telegram Type',
      info: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Heartbeat'
        }, {
          value: '1',
          description: 'Event triggered'
        }]
      }
    }]
  }],
  originalIndex: 41,
  eep: 'a5-05-01',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Barometric Sensor',
  func_number: '0x05',
  submitter: [
    'ITEC'
  ]
}
