export const a50604 = {
  number: '0x04',
  title: 'Curtain Wall Brightness Sensor',
  status: 'released',
  description: '\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Description</span>\n            <br/>This EEP is intended for use with wireless daylight sensors, who\n            communicate exterior light levels back to a blind controller.\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: time-triggered and upon lux sensor reading\n            change of more than a few percent\n            <br/>Communication interval: A telegram is transmitted every 1 minute\n            in “day mode” and every 1 hour in “night mode”. If the measured light\n            is below a certain threshold for several minutes the sensor goes to\n            night mode.\n            <br/>Trigger event: Heartbeat, change of lux reading\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '29',
      bitsize: '1'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Temperature',
      shortcut: 'TEMP',
      description: 'Ambient Temperature',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '-20',
        max: '+60'
      },
      unit: '°C'
    }, {
      data: 'Illuminance',
      shortcut: 'ILL',
      description: 'Illuminance (linear)',
      bitoffs: '8',
      bitsize: '16',
      range: {
        min: '0',
        max: '65535'
      },
      scale: {
        min: '0',
        max: '65535'
      },
      unit: 'lx'
    }, {
      data: 'Energy Storage',
      shortcut: 'SV',
      description: 'Energy Storage',
      bitoffs: '24',
      bitsize: '4',
      range: {
        min: '0',
        max: '15'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Temperature Availability',
      shortcut: 'TMPAV',
      description: 'Valid temperature data available on DB3',
      bitoffs: '30',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Temperature data is unavailable'
        }, {
          value: '1',
          description: 'Temperature data is available'
        }]
      }
    }, {
      data: 'Energy Storage Availability',
      shortcut: 'ENAV',
      description: 'Valid energy storage data available on DB0',
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Energy storage data is unavailable'
        }, {
          value: '1',
          description: 'Energy storage data is available'
        }]
      }
    }]
  }],
  originalIndex: 45,
  eep: 'a5-06-04',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Light Sensor',
  func_number: '0x06',
  submitter: [
    'Echoflex Solutions'
  ]
}
