export const a50701 = {
  number: '0x01',
  title: 'Occupancy with Supply voltage monitor',
  status: 'released',
  description: '<br/><br/>\n            The transmission of “PIR off” telegrams is optional.',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '8',
      bitsize: '8'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '2'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Supply voltage (OPTIONAL)',
      shortcut: 'SVC',
      description: 'Supply voltage / super cap. (linear);<br/>\n            251 – 255 reserved for error code',
      info: 'DB_3: Supply voltage 0…5.0V, linear n=0…250',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '250'
      },
      scale: {
        min: '0',
        max: '5.0'
      },
      unit: 'V'
    }, {
      data: 'PIR Status',
      shortcut: 'PIRS',
      description: 'PIR Status',
      info: 'PIR Status',
      bitoffs: '16',
      bitsize: '8',
      enum: {
        item: [{
          min: '0',
          max: '127',
          description: 'PIR off'
        }, {
          min: '128',
          max: '255',
          description: 'PIR on'
        }]
      }
    }, {
      data: 'Supply voltage availability',
      shortcut: 'SVA',
      description: 'Supply voltage availability at DB_3',
      info: 'Supply voltage availability at DB_3',
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Supply voltage is not supported'
        }, {
          value: '1',
          description: 'Supply voltage is supported'
        }]
      }
    }]
  }],
  originalIndex: 47,
  eep: 'a5-07-01',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Occupancy Sensor',
  func_number: '0x07',
  submitter: [
    'Lutuo Technology'
  ]
}
