export const a50703 = {
  number: '0x03',
  title: 'Occupancy with Supply voltage monitor and 10-bit illumination measurement',
  status: 'released',
  description: '<br/><br/>\n  The transmission of “PIR off” telegrams is optional.',
  case: [{
    datafield: [{
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Supply voltage (REQUIRED)',
      shortcut: 'SVC',
      description: 'Supply voltage (linear);\n        <br/>251 – 255 reserved for error code',
      info: {},
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '250'
      },
      scale: {
        min: '0',
        max: '5.0'
      },
      unit: 'V'
    }, {
      data: 'Illumination',
      shortcut: 'ILL',
      description: 'Illumination (linear);\n        <br/>DB2 = 8 MSB, DB1 = 2 LSB <br/>1001: over range, <br/>1002...1024: reserved',
      info: {},
      bitoffs: '8',
      bitsize: '10',
      range: {
        min: '0',
        max: '1000'
      },
      scale: {
        min: '0',
        max: '1000'
      },
      unit: 'lx'
    }, {
      data: 'PIR Status',
      shortcut: 'PIRS',
      description: 'PIR Status',
      info: 'PIR Status',
      bitoffs: '24',
      bitsize: '1',
      enum: {
        item: [{
          value: '1',
          description: 'Motion detected'
        }, {
          value: '0',
          description: 'Uncertain of occupancy status'
        }]
      }
    }, {
      reserved: {},
      bitoffs: '25',
      bitsize: '3'
    }, {
      reserved: {},
      bitoffs: '18',
      bitsize: '6'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '3'
    }]
  }],
  originalIndex: 49,
  eep: 'a5-07-03',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Occupancy Sensor',
  func_number: '0x07',
  submitter: [
    'Lutuo Technology'
  ]
}
