export const a50904 = {
  number: '0x04',
  title: 'CO2 Sensor',
  status: 'released',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      reserved: {},
      bitoffs: '31',
      bitsize: '1'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Humidity',
      shortcut: 'HUM',
      description: 'Rel. Humidity (linear), 0.5 % = 1 bit',
      info: 'DB_3: Humidity 0…100%, linear n=0…200 (0,5 % = 1 bit)',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '200'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Concentration',
      shortcut: 'Conc',
      description: 'Concentration (linear), increment = 10 ppm',
      info: 'DB_2: Concentration 0…2550 ppm, linear n=0…255 (increment = 10 ppm)',
      bitoffs: '8',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '2550'
      },
      unit: 'ppm'
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear), increment = 0.2 °C',
      info: 'DB_1: Temperature 0…51.0 °C, linear n=0…255 (increment = 0.2°C)',
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '+51.0'
      },
      unit: '°C'
    }, {
      data: 'H-Sensor',
      shortcut: 'HSN',
      description: '..',
      info: {},
      bitoffs: '29',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Humidity Sensor not available'
        }, {
          value: '1',
          description: 'Humidity Sensor available'
        }]
      }
    }, {
      data: 'T-Sensor',
      shortcut: 'TSN',
      description: '..',
      info: {},
      bitoffs: '30',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Temperature Sensor not available'
        }, {
          value: '1',
          description: 'Temperature Sensor available'
        }]
      }
    }]
  }],
  originalIndex: 54,
  eep: 'a5-09-04',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Gas Sensor',
  func_number: '0x09',
  description: '',
  submitter: []
}
