export const a51021 = {
  number: '0x21',
  title: 'Temperature, Humidity and Set Point with Special Heating States',
  description: '\n            <br/>\n            <br/>Description:\n            <br/>Set Point for Heating Control, Temperature, Humidity, User Activity.\n            <br/>\n            <br/>\n            This EEP defines a Room Operating Panel that contains sensors for temperature and\n            humidity. The set point selector knob determines the desired room temperature with\n            the ability to set special set point modes for heating control.\n            User activity and the sensor’s battery state are indicated in the telegram.\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication intervall: 1200 s\n            <br/>Trigger event: change of any input signal\n            <br/>Tx delay: n/a\n            <br/>Rx timeout: 0 ms (minimum time between two received messages)\n            <br/>Teach-in method: 4BS teach-in 2 / Universal teach-in\n            <br/>Security Encryption required: no\n            <br/>Security level format: -',
  case: [{
    datafield: [{
      data: 'Set Point',
      shortcut: 'SP',
      description: 'Set point (linear) Min.- ... Max+',
      info: {},
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '255'
      },
      unit: 'N/A'
    }, {
      data: 'Humidity',
      shortcut: 'HUM',
      description: 'Rel. humidity (linear)',
      info: {},
      bitoffs: '8',
      bitsize: '8',
      range: {
        min: '0',
        max: '250'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear)',
      info: {},
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '250'
      },
      scale: {
        min: '0',
        max: '+40'
      },
      unit: '°C'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '1'
    }, {
      data: 'Set point mode',
      shortcut: 'SPM',
      description: 'Selection of heating mode',
      bitoffs: '25',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Room temperature defined by SP'
        }, {
          value: '1',
          description: 'Frost protection'
        }, {
          value: '2',
          description: 'Automatic control<br/>(e.g. defined by time program)'
        }, {
          value: '3',
          description: 'Reserved'
        }]
      }
    }, {
      data: 'Battery state',
      shortcut: 'BATT',
      description: 'Battery change needed',
      bitoffs: '27',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Battery ok'
        }, {
          value: '1',
          description: 'Battery low'
        }]
      }
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '2'
    }, {
      data: 'User activity',
      shortcut: 'ACT',
      description: 'User intervention action on device',
      info: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'No user action'
        }, {
          value: '1',
          description: 'User interaction'
        }]
      }
    }]
  }],
  originalIndex: 92,
  eep: 'a5-10-21',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Room Operating Panel',
  func_number: '0x10',
  submitter: [
    'MSR-Solutions GmbH, Wangen i.Allg.'
  ]
}
