export const a51022 = {
  number: '0x22',
  title: 'Temperature, Setpoint, Humidity and Fan Speed',
  description: '\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: time-triggered (configurable at the device) & event-triggered\n            <br/>Trigger event: setpoint change, fan speed change\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Product Description</span>\n            <br/>\n            The device represented by this EEP is a “Room Operating Panel with Display”.\n            It is powered by solar cell.<br/>\n            <br/>\n            It is equipped with the following features:<br/>\n            - Temperature Sensor<br/>\n            - Humidity Sensor<br/>\n            - Temperature Setpoint Adjustment<br/>\n            - Fanspeed Adjustment<br/>\n            <br/>\n            For pairing the unidirectional “4BS Teach-In Variation 2” method is used.<br/>\n            <br/>\n            The device transmits the actual sensor values periodically (Default: 1000s)\n            or on an event like “Temperature Setpoint Adjustment” or “Fanspeed Adjustment”.<br/>\n            <br/>\n            Temperature Sensor, Humidity Sensor:<br/>\n            The environmental sensors are updated periodically (adjustable, default: 100s)\n            and, if there is a change, the updated values will be send immediately.<br/>',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '27',
      bitsize: '1'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '3'
    }, {
      data: 'Relative Setpoint',
      shortcut: 'SP',
      description: 'Setpoint (linear) Min.- ... Max+',
      info: {},
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '255'
      },
      unit: 'N/A'
    }, {
      data: 'Humidity',
      shortcut: 'HUM',
      description: 'Rel. Humidity (linear)',
      info: {},
      bitoffs: '8',
      bitsize: '8',
      range: {
        min: '0',
        max: '250'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear)',
      info: {},
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '250'
      },
      scale: {
        min: '0',
        max: '+40'
      },
      unit: '°C'
    }, {
      data: 'Fanspeed',
      shortcut: 'FAN',
      description: 'Fanspeed',
      bitoffs: '24',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'Auto'
        }, {
          value: '1',
          description: 'Speed 0 / OFF'
        }, {
          value: '2',
          description: 'Speed 1'
        }, {
          value: '3',
          description: 'Speed 2'
        }, {
          value: '4',
          description: 'Speed 3'
        }, {
          value: '5 ... 7',
          description: 'Reserved'
        }]
      }
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }]
  }],
  originalIndex: 93,
  eep: 'a5-10-22',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Room Operating Panel',
  func_number: '0x10',
  submitter: [
    'Thermokon Sensortechnik GmbH'
  ]
}
