export const a51101 = {
  number: '0x01',
  title: 'Lighting Controller',
  status: 'released',
  case: [{
    datafield: [{
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Illumination',
      shortcut: 'ILL',
      description: 'Illumination (linear)',
      info: 'DB_3 Illumination 0 … 510lx, linear n=0…255',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '510'
      },
      unit: 'lx'
    }, {
      data: 'Illumination Set Point',
      shortcut: 'ISP',
      description: 'Illumination Set Point (Min. ... Max.) (linear)',
      info: 'DB_2 Illumination Set Point Min. … Max., linear n=0…255',
      bitoffs: '8',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '255'
      },
      unit: 'N/A'
    }, {
      data: 'Dimming Output Level',
      shortcut: 'DIM',
      description: 'Dimming Output Level (Min. ... Max.) (linear)',
      info: 'DB_1: Dimming Output Level Min. … Max., linear n=0…255',
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '255'
      },
      unit: 'N/A'
    }, {
      data: 'Repeater',
      shortcut: 'REP',
      description: 'Repeater',
      info: 'Repeater',
      bitoffs: '24',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'disabled'
        }, {
          value: '1',
          description: 'enabled'
        }]
      }
    }, {
      data: 'Power Relay Timer',
      shortcut: 'PRT',
      description: 'Power Relay Timer',
      info: 'Power Relay Timer',
      bitoffs: '25',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'disabled'
        }, {
          value: '1',
          description: 'enabled'
        }]
      }
    }, {
      data: 'Daylight Harvesting',
      shortcut: 'DHV',
      description: 'Daylight Harvesting',
      info: 'Daylight Harvesting',
      bitoffs: '26',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'disabled'
        }, {
          value: '1',
          description: 'enabled'
        }]
      }
    }, {
      data: 'Dimming',
      shortcut: 'EDIM',
      description: 'Dimming',
      info: 'Dimming',
      bitoffs: '27',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'switching load'
        }, {
          value: '1',
          description: 'dimming load'
        }]
      }
    }, {
      data: 'Magnet Contact',
      shortcut: 'MGC',
      description: 'Magnet Contact',
      info: 'Magnet Contact',
      bitoffs: '29',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'open'
        }, {
          value: '1',
          description: 'closed'
        }]
      }
    }, {
      data: 'Occupancy',
      shortcut: 'OCC',
      description: 'Occupancy',
      info: 'Occupancy',
      bitoffs: '30',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'unoccupied'
        }, {
          value: '1',
          description: 'occupied'
        }]
      }
    }, {
      data: 'Power Relay',
      shortcut: 'PWR',
      description: 'Power Relay',
      info: 'Power Relay',
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'off'
        }, {
          value: '1',
          description: 'on'
        }]
      }
    }]
  }],
  originalIndex: 95,
  eep: 'a5-11-01',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Controller Status',
  func_number: '0x11',
  description: '',
  submitter: []
}
