export const a51102 = {
  number: '0x02',
  title: 'Temperature Controller Output',
  description: '',
  status: {},
  case: [{
    datafield: [{
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Control Variable',
      shortcut: 'CVAR',
      description: 'Actual value of controller',
      info: 'DB_3: Control variable 0… 100 % 0...255',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'FanStage',
      shortcut: 'FAN',
      description: 'Actual value of fan',
      info: 'DB_2: FanStage 0,1,2,3, 0xFF not available',
      bitoffs: '8',
      bitsize: '8',
      enum: {
        item: [{
          value: '0',
          description: 'Stage 0 Manual'
        }, {
          value: '1',
          description: 'Stage 1 Manual'
        }, {
          value: '2',
          description: 'Stage 2 Manual'
        }, {
          value: '3',
          description: 'Stage 3 Manual'
        }, {
          value: '16',
          description: 'Stage 0 Automatic'
        }, {
          value: '17',
          description: 'Stage 1 Automatic'
        }, {
          value: '18',
          description: 'Stage 2 Automatic'
        }, {
          value: '19',
          description: 'Stage 3 Automatic'
        }, {
          value: '255',
          description: 'Not Available'
        }]
      }
    }, {
      data: 'Actual Setpoint',
      shortcut: 'ASP',
      description: 'Occupied:<br/>Basic setpoint occupied + Setpoint shift + Sensor offset\n            <br/><br/>StandBy:<br/>Basic setpoint standBy + Setpoint shift\n            <br/><br/>Unoccupied:<br/>Basic setpoint unoccupied + setpoint shift',
      info: 'DB_1: Actual Set point 0… 51.2 °C 0…255',
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '+51.2'
      },
      unit: '°C'
    }, {
      data: 'Alarm',
      shortcut: 'ALR',
      description: 'In case of internal error alarm is set',
      info: 'Alarm',
      bitoffs: '24',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'No alarm'
        }, {
          value: '1',
          description: 'Alarm'
        }]
      }
    }, {
      data: 'Controller mode',
      shortcut: 'CTM',
      description: 'Actual state of controller',
      info: {},
      bitoffs: '25',
      bitsize: '2',
      enum: {
        item: [{
          value: '1',
          description: 'Heating'
        }, {
          value: '2',
          description: 'Cooling'
        }, {
          value: '3',
          description: 'Off'
        }]
      }
    }, {
      data: 'Controller state',
      shortcut: 'CST',
      description: 'Automatic control, or is controlled from another device',
      info: 'Controller state',
      bitoffs: '27',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Automatic'
        }, {
          value: '1',
          description: 'Override'
        }]
      }
    }, {
      data: 'Energy hold-off',
      shortcut: 'ERH',
      description: 'Stop control if window is opened',
      info: 'Energy holdoff',
      bitoffs: '29',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Normal'
        }, {
          value: '1',
          description: 'Energy hold-off/ Dew point'
        }]
      }
    }, {
      data: 'Room occupancy',
      shortcut: 'RO',
      description: 'Actual room occupancy',
      info: 'Room occupancy',
      bitoffs: '30',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Occupied'
        }, {
          value: '1',
          description: 'Unoccupied'
        }, {
          value: '2',
          description: 'StandBy'
        }, {
          value: '3',
          description: 'Frost'
        }]
      }
    }]
  }],
  originalIndex: 96,
  eep: 'a5-11-02',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Controller Status',
  func_number: '0x11',
  submitter: [
    'Thermokon Sensortechnik GmbH'
  ]
}
