export const a51105 = {
  number: '0x05',
  title: 'Dual-Channel Switch Actuator',
  status: 'released',
  description: '\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Description</span>\n            <br/>\n            This EEP is used for sending the latest relay status (including current\n            working mode) of a dual-channel switch actuator. The telegram is sent\n            when the relay status changes or a gateway request is received.\n            Each time the gateway is powered on, it will send a request telegram to\n            request that the actuator reports its latest relay status, while in\n            normal working state, it won’t send any telegram to the actuator and\n            only receive the relay status from the actuator.\n            <br/>\n            <br/>\n            1) Gateway first power on:\n            <br/>\n            <img>graphics/A5-11-05_V01.png</img>\n            <br/>\n            2) When the actuator receives a switch telegram and its status changes:\n            <br/>\n            <img>graphics/A5-11-05_V02.png</img>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: bi-directional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event & request\n            <br/>Communication interval: -\n            <br/>Trigger event: change of relay status\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/><span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/><span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <br/><span style="border-bottom:2px groove #000000;">Appendix</span>\n            <br/>\n            Operation mode description:\n            <br/>\n            <br/><b>Mode 1:</b>\n            <br/>One switch controls one dual-channel actuator. Each rock controls\n            one channel.\n            <br/>I: power ON, O: power OFF\n            <br/>\n            <img>graphics/A5-11-05_V04.png</img>\n            <br/>\n            <br/><b>Mode 2:</b>\n            <br/>In this mode, actuator can be controlled by both switch and\n            occupancy sensor, also can be set “Auto” control by occupancy sensor\n            or “Manual” control by switch through button “A” or “M”.\n            Each channel can be controlled independently.\n            <br/>\n            <img>graphics/A5-11-05_V05.png</img>\n            <br/>\n            <br/><b>Mode 3:</b>\n            <br/>A bit like mode 1, but single rocker button controls two channels\n            one time.\n            <br/>\n            <img>graphics/A5-11-05_V06.png</img>\n            <br/>\n            <br/><b>Mode 4:</b>\n            <br/>One dual-rock switch button can control two dual-channel actuators\n            as 4 channel lighting in all. We can control one channel only through\n            trigger the rock angle.\n            <br/>\n            <img>graphics/A5-11-05_V07.png</img>\n            <br/>\n            <br/>\n            DIRECTION-1 = Gateway request telegram; from gateway to actuator\n            <br/>\n            DIRECTION-2 = Actuator status report; from actuator to gateway',
  case: [{
    direction: '1',
    condition: {
      direction: '1'
    },
    datafield: [{
      reserved: {},
      bitoffs: '0',
      bitsize: '28'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '2'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Message Type',
      shortcut: 'MT',
      description: 'Defines if the telegram is a request or contains data',
      info: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: {
          value: '0',
          description: 'Request'
        }
      }
    }]
  }, {
    direction: '2',
    condition: {
      direction: '2'
    },
    datafield: [{
      reserved: {},
      bitoffs: '0',
      bitsize: '25'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Working Mode',
      shortcut: 'WM',
      description: 'Actuators current working mode',
      info: {},
      bitoffs: '25',
      bitsize: '3',
      enum: [{
        item: {
          value: '0b001',
          description: 'mode 1'
        }
      }, {
        item: {
          value: '0b010',
          description: 'mode 2'
        }
      }, {
        item: {
          value: '0b011',
          description: 'mode 3'
        }
      }, {
        item: {
          value: '0b100',
          description: 'mode 4'
        }
      }]
    }, {
      data: 'Relay Status',
      shortcut: 'RS',
      description: 'Actuators current relay status\n              <br/>Bit 0.1: CH1\n              <br/>Bit 0.2: CH2',
      info: {},
      bitoffs: '29',
      bitsize: '2',
      enum: [{
        item: {
          value: '0b00',
          description: 'CH1 off, CH2 off'
        }
      }, {
        item: {
          value: '0b01',
          description: 'CH1 on, CH2 off'
        }
      }, {
        item: {
          value: '0b10',
          description: 'CH1 off, CH2 on'
        }
      }, {
        item: {
          value: '0b11',
          description: 'CH1 on, CH2 on'
        }
      }]
    }, {
      data: 'Message Type',
      shortcut: 'MT',
      description: 'Defines if the telegram is a request or contains data',
      info: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: {
          value: '1',
          description: 'Status Report'
        }
      }
    }]
  }],
  originalIndex: 99,
  eep: 'a5-11-05',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Controller Status',
  func_number: '0x11',
  submitter: [
    'Nanjing Putian Telecommunications CO., Ltd.,'
  ]
}
