export const a51204 = {
  number: '0x04',
  title: 'Temperature and Load Sensor',
  status: 'released',
  description: '\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Description</span>\n            <br/>Temp and Load Sensor aimed for fridge and other application.\n            <br/>E.g. milk carton puts on this sensor in fridge. The sensor sends a signal\n            of temp and remaining amount of milk (in gram).\n            Since this sensor is battery-powered, battery level information is\n            transmitted with Temp and Load information, too.\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: -\n            <br/>Trigger event: load changed\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: yes\n            <br/>Security level format: RLC + AES128',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '14',
      bitsize: '2'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '1'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Meter reading',
      shortcut: 'MR',
      description: 'Current value in gram',
      info: {},
      bitoffs: '0',
      bitsize: '14',
      range: {
        min: '0',
        max: '16383'
      },
      scale: {
        min: '0',
        max: '16383'
      },
      unit: 'gram'
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear)',
      info: {},
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '-40',
        max: '+40'
      },
      unit: '°C'
    }, {
      data: 'Battery Level',
      shortcut: 'BL',
      description: 'Battery level',
      info: {},
      bitoffs: '30',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: '100-75%'
        }, {
          value: '1',
          description: '75-50%'
        }, {
          value: '2',
          description: '50-25%'
        }, {
          value: '3',
          description: '25-0%'
        }]
      }
    }]
  }],
  originalIndex: 104,
  eep: 'a5-12-04',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Automated Meter Reading (AMR)',
  func_number: '0x12',
  submitter: [
    'SIMICS',
    'NTT East'
  ]
}
