export const a51205 = {
  number: '0x05',
  title: 'Temperature and Container Sensor',
  status: 'released',
  description: '\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Description</span>\n            <br/>Temp and Container Sensor aimed for fridge and other application.\n            <br/>E.g. eggs or egg carton puts on the Container Sensor in fridge.\n            The sensor sends a signal of temp and remaining of eggs. Since this sensor\n            is battery-powered, battery level information is transmitted with other information, too.\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: -\n            <br/>Trigger event: load changed\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Security</span>\n            <br/>Encryption supported: yes\n            <br/>Security level format: RLC + AES128\n            <br/>\n            <br/>\n            <span style="border-bottom:2px groove #000000;">Appendix</span>\n            <br/>Location 0 - 9 are assigned as follows:\n            <br/>\n            <img>graphics/A5-12-05.png</img>',
  case: [{
    datafield: [{
      reserved: {},
      bitoffs: '10',
      bitsize: '6'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '1'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Position Sensor 0',
      shortcut: 'PS0',
      description: 'Location 0',
      bitoffs: '0',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 1',
      shortcut: 'PS1',
      description: 'Location 1',
      bitoffs: '1',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 2',
      shortcut: 'PS2',
      description: 'Location 2',
      bitoffs: '2',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 3',
      shortcut: 'PS3',
      description: 'Location 3',
      bitoffs: '3',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 4',
      shortcut: 'PS4',
      description: 'Location 4',
      bitoffs: '4',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 5',
      shortcut: 'PS5',
      description: 'Location 5',
      bitoffs: '5',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 6',
      shortcut: 'PS6',
      description: 'Location 6',
      bitoffs: '6',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 7',
      shortcut: 'PS7',
      description: 'Location 7',
      bitoffs: '7',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 8',
      shortcut: 'PS8',
      description: 'Location 8',
      bitoffs: '8',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Position Sensor 9',
      shortcut: 'PS9',
      description: 'Location 9',
      bitoffs: '9',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'not possessed'
        }, {
          value: '1',
          description: 'possessed'
        }]
      }
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear)',
      info: {},
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '-40',
        max: '+40'
      },
      unit: '°C'
    }, {
      data: 'Battery Level',
      shortcut: 'BL',
      description: 'Battery level',
      info: {},
      bitoffs: '30',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: '100-75%'
        }, {
          value: '1',
          description: '75-50%'
        }, {
          value: '2',
          description: '50-25%'
        }, {
          value: '3',
          description: '25-0%'
        }]
      }
    }]
  }],
  originalIndex: 105,
  eep: 'a5-12-05',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Automated Meter Reading (AMR)',
  func_number: '0x12',
  submitter: [
    'SIMICS',
    'NTT East'
  ]
}
