export const a51310 = {
  number: '0x10',
  title: 'Sun position and radiation',
  status: 'released',
  description: '',
  case: [{
    datafield: [{
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Day / Night',
      shortcut: 'D/N',
      description: 'Day / Night',
      bitoffs: '7',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Day'
        }, {
          value: '1',
          description: 'Night'
        }]
      }
    }, {
      data: 'Sun Elevation',
      shortcut: 'SNE',
      description: 'Sun Elevation (linear); <br/>91 - 127: reserved',
      info: {},
      bitoffs: '0',
      bitsize: '7',
      range: {
        min: '0',
        max: '90'
      },
      scale: {
        min: '0',
        max: '90'
      },
      unit: '°'
    }, {
      data: 'Sun Azimuth',
      shortcut: 'SNA',
      description: 'Sun Azimuth<br/>181 - 255: reserved',
      info: {},
      bitoffs: 8,
      bitsize: 8,
      range: {
        min: 0,
        max: 180
      },
      scale: {
        min: -90,
        max: 90
      },
      unit: '°'
    }, {
      data: 'Solar Radiation',
      shortcut: 'SRA',
      description: 'Solar Radiation',
      info: {},
      spread: [
        {
          bitoffs: 16,
          bitsize: 8
        }, {
          bitoffs: 29,
          bitsize: 3
        }
      ],
      range: {
        min: 0,
        max: 2000
      },
      unit: 'W/m2'
    }, {
      data: 'Identifier',
      shortcut: 'ID',
      description: 'Identifier',
      info: {},
      bitoffs: '24',
      bitsize: '4',
      enum: {
        item: {
          value: '0x7',
          description: {}
        }
      }
    }]
  }],
  originalIndex: 115,
  eep: 'a5-13-10',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Environmental Applications',
  func_number: '0x13',
  submitter: [
    'NanoSense'
  ]
}
