export const a52002 = {
  number: '0x02',
  title: 'Basic Actuator',
  status: 'released',
  description: '<br/><br/>\n            Basic Actuator can be used by any manufacturer for linear or rotary actuator.\n            <br/><br/>\n            DIRECTION-1 = Transmit mode: Message from the actuator to the controller.\n            <br/>\n            DIRECTION-2 = Receive mode: Commands from the controller to the actuator.\n            To use with a BAS/Gateway system; max. reponse time 1 sec.',
  case: [{
    direction: '1',
    condition: {
      direction: '1'
    },
    datafield: [{
      reserved: {},
      bitoffs: '8',
      bitsize: '14'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '3'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Actual Value',
      shortcut: 'AV',
      description: 'Actual value (linear); can be a linear or rotation motion.',
      info: 'Transmit status (sent every time there is a positioning or randomly sent every 15-\n                  20 minutes if no change in position. “Heartbeat”)\n                  DB_3: % open value 0...100 %, linear n=0...255',
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '100'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Set point inverse',
      shortcut: 'SPI',
      description: 'Set point inverse (Needs to be defined by manufacturer what zero(0) is equal to, and one(1) is equal to. Default state to be define as per product manufacturer',
      info: 'DB_1.BIT_1: Set point inverse. Needs to be defined by manufacturer what zero(0) is equal to, and\n                  one(1) is equal to.',
      bitoffs: '22',
      bitsize: '1',
      enum: {
        item: {
          value: '1',
          description: 'true'
        }
      }
    }]
  }, {
    direction: '2',
    condition: {
      direction: '2'
    },
    datafield: [{
      data: {},
      shortcut: {},
      description: {},
      reserved: {},
      bitoffs: '8',
      bitsize: '8'
    }, {
      reserved: {},
      bitoffs: '16',
      bitsize: '6'
    }, {
      reserved: {},
      bitoffs: '23',
      bitsize: '5'
    }, {
      reserved: {},
      bitoffs: '29',
      bitsize: '3'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Valve Set point',
      shortcut: 'VSP',
      description: 'Valve set Point (linear)',
      info: {},
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '100'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Set point inverse',
      shortcut: 'VSP',
      description: '"Set point inverse" needs to be defined by manufacturer what zero(0) is equal to, and one(1) is equal to. Default state to be define as per product manufacturer. It can send a command to invert functionality of the unit. In some instance some equipment might need 100% to represent fully extracted, in other fully retracted.',
      info: {},
      bitoffs: '22',
      bitsize: '1',
      enum: {
        item: {
          value: '1',
          description: 'true'
        }
      }
    }]
  }],
  originalIndex: 123,
  eep: 'a5-20-02',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'HVAC Components',
  func_number: '0x20',
  submitter: [
    'Spartan Peripheral Devices'
  ]
}
