export const a52011 = {
  number: '0x11',
  title: 'Generic HVAC Interface – Error Control',
  status: 'released',
  description: '<br/><br/>\n          Error Control: AC Error Code, Error States and Disablements. With this\n          EEP plus the already existing EEP A5-10-03 and A5-20-10 all the information of AC indoor\n          unit can be sent and received allowing a much easier and complete control of these units.\n          <br/>\n          <br/>\n          DIRECTION-1 = Receive mode: Commands received by the HVAC interface.\n          <br/>\n          DIRECTION-2 = Transmit mode: Commands sent by the HVAC interface.',
  case: [{
    direction: '1',
    condition: {
      direction: '1'
    },
    datafield: [{
      reserved: {},
      bitoffs: '0',
      bitsize: '23'
    }, {
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      data: 'Disable remote controller',
      shortcut: 'DRC',
      description: 'Disable remote controller<br/>(When in receive mode it controls if the interface overwrites the remote controller commands.)',
      bitoffs: '29',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Enable Remote controller'
        }, {
          value: '1',
          description: 'Disable Remote controller'
        }]
      }
    }, {
      reserved: {},
      bitoffs: '31',
      bitsize: '1'
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'External disablement',
      shortcut: 'EXDS',
      description: 'External disablement',
      info: {},
      bitoffs: '23',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Not disabled'
        }, {
          value: '1',
          description: 'Disabled'
        }]
      }
    }, {
      data: 'Window contact',
      shortcut: 'WC',
      description: 'Window contact',
      info: {},
      bitoffs: '30',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Windows opened'
        }, {
          value: '1',
          description: 'Windows closed'
        }]
      }
    }]
  }, {
    direction: '2',
    condition: {
      direction: '2'
    },
    datafield: [{
      reserved: {},
      bitoffs: '24',
      bitsize: '4'
    }, {
      data: 'Remote controller Disablement',
      shortcut: 'RCD',
      description: 'Remote controller Disablement<br/>(In transmit it sends the status of this parameter. If the manufacturer doesn\'t support this option, it will send allways 0, no matter what it receives.)',
      bitoffs: '29',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Remote controller enabled'
        }, {
          value: '1',
          description: 'Remote controller disabled'
        }]
      }
    }, {
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Error Code',
      shortcut: 'ERR',
      description: 'Error Code (DB3 HI,DB2 LO); generated by A.C.',
      info: {},
      bitoffs: '0',
      bitsize: '16',
      range: {
        min: '0',
        max: '65535'
      },
      scale: {
        min: '0',
        max: '65535'
      },
      unit: 'N/A'
    }, {
      data: 'Reserved',
      shortcut: 'RES',
      description: 'Reserved (0b0000)',
      info: {},
      bitoffs: '16',
      bitsize: '4',
      enum: {
        item: {
          value: {},
          description: 'Reserved'
        }
      }
    }, {
      data: 'Other disablement',
      shortcut: 'OD',
      description: 'Manufacturer defined. It is just to provide an extra “disablement signal” that could be used for other\ndevices. People would not have to change anything then as this is already an established “signal”',
      info: {},
      bitoffs: '20',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Not disabled'
        }, {
          value: '1',
          description: 'Disabled'
        }]
      }
    }, {
      data: 'Window contact disablement',
      shortcut: 'WCD',
      description: 'Window contact disablement',
      info: {},
      bitoffs: '21',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Not disabled'
        }, {
          value: '1',
          description: 'Disabled'
        }]
      }
    }, {
      data: 'Key card disablement',
      shortcut: 'KCD',
      description: 'Key carddisablement',
      info: {},
      bitoffs: '22',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Not disabled'
        }, {
          value: '1',
          description: 'Disabled'
        }]
      }
    }, {
      data: 'External disablement',
      shortcut: 'ED',
      description: 'External disablement',
      info: {},
      bitoffs: '23',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Not disabled'
        }, {
          value: '1',
          description: 'Disabled'
        }]
      }
    }, {
      data: 'Window contact',
      shortcut: 'WC',
      description: 'Window contact',
      info: {},
      bitoffs: '30',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Windows opened'
        }, {
          value: '1',
          description: 'Windows closed'
        }]
      }
    }, {
      data: 'Alarm State',
      shortcut: 'AS',
      description: 'Alarm State',
      info: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Ok'
        }, {
          value: '1',
          description: 'Error'
        }]
      }
    }]
  }],
  originalIndex: 127,
  eep: 'a5-20-11',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'HVAC Components',
  func_number: '0x20',
  submitter: [
    'Intesis Software SL'
  ]
}
