export const a53809 = {
  number: '0x09',
  title: 'Extended Lighting-Control',
  status: 'released',
  description: '<br/><br/>\n            With this central command all lighting actors can be manipulated.\n                <br/>\n                <br/>\n                <br/>Remarks for data table:\n                <br/>\n                <br/>REMARK 1:\n                <br/>Set the RGB level for corresponding lighting-control.\n                <br/>Devices without this feature ignore this command.\n                <br/>\n                <br/>REMARK 2:\n                <br/>Up to 16 different scenes can be selected and configured.\n                <br/>\n                <br/>REMARK 3:\n                <br/>Change the minimal and maximal dimmer-value. Example:\n                <br/>\n                <img>graphics/EEP_A5-38-09_01.png</img>\n                <br/>General for switchers:\n                <br/>The values 0 .. 127 are defined to “Off”.\n                <br/>The values 128.. 255 are defined to “On”.\n                <br/>\n                <br/>REMARK 4:\n                <br/>Example: If the lamp was replaced, the operating hours are reset to 0.\n                <br/>\n                <br/>REMARK 5:\n                <br/>This function blocks all other commands from the other taught-in\n                transmitters. The transmitter, which has called this function,\n                must delete the blocking state, before the other transmitters can use the device again.\n                <br/>\n                <br/>REMARK 6:\n                <br/>For important central commands, it\'s not necessary to send directly the\n                statefeedback, e.g. when many modules are activated simultaneously.<br/>\n                Note: Special functionality is in function “Status request (0)”,\n                the status is always sent.\n                <br/>\n                <br/>REMARK 7:\n                <br/>Ramp time is the time needed to transition from minimum to maximum dimming levels.',
  case: [{
    datafield: [{
      data: 'LRN Bit',
      shortcut: 'LRNB',
      description: 'LRN Bit',
      bitoffs: '28',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Teach-in telegram'
        }, {
          value: '1',
          description: 'Data telegram'
        }]
      }
    }, {
      data: 'Parameter 1',
      shortcut: 'P1',
      description: 'Function defined parameter value',
      info: '',
      bitoffs: '0',
      bitsize: '8',
      enum: {
        item: {
          description: 'Func. 00: -- not used –-\n                      <br/>\n                      <br/>Func. 01: -- not used --\n                      <br/>\n                      <br/>Func. 02: -- not used --\n                      <br/>\n                      <br/>Func. 03: -- not used --\n                      <br/>\n                      <br/>Func. 04: -- not used --\n                      <br/>\n                      <br/>Func. 05: -- not used --\n                      <br/>\n                      <br/>Func. 06: Dimm-Value (0 ... 255)\n                      <br/>\n                      <br/>Func. 07: R - Red (0 .. 255)\n                      <br/>\n                      <br/>Func. 08: -- not used --\n                      <br/>\n                      <br/>Func. 09: Dimm-Value (0 ... 255)\n                      <br/>\n                      <br/>Func. 10: Lamp operating hours (MSB 15..8)\n                      <br/>\n                      <br/>Func. 11: -- not used --\n                      <br/>\n                      <br/>Func. 12: Energy metering value (MSB 15..8)'
        }
      }
    }, {
      data: 'Parameter 2',
      shortcut: 'P2',
      description: 'Function defined parameter value',
      info: '',
      bitoffs: '8',
      bitsize: '8',
      enum: {
        item: {
          description: 'Func. 00: -- not used –-\n                      <br/>\n                      <br/>Func. 01: -- not used --\n                      <br/>\n                      <br/>Func. 02: -- not used --\n                      <br/>\n                      <br/>Func. 03: Ramping time (MSB 15...8) (65535 s)\n                      <br/>\n                      <br/>Func. 04: Ramping time (MSB 15...8) (65535 s)\n                      <br/>\n                      <br/>Func. 05: -- not used --\n                      <br/>\n                      <br/>Func. 06: Ramping time (MSB 15...8) (65535 s)\n                      <br/>\n                      <br/>Func. 07: G - Green (0 ... 255)\n                      <br/>\n                      <br/>Func. 08: -- not used --\n                      <br/>\n                      <br/>Func. 09: Dimm-Value (0 ... 255)\n                      <br/>\n                      <br/>Func. 10: Lamp operating hours (7...0 LSB)\n                      <br/>\n                      <br/>Func. 11: -- not used --\n                      <br/>\n                      <br/>Func. 12: Energy metering value (7..0 LSB)'
        }
      }
    }, {
      data: 'Parameter 3',
      shortcut: 'P3',
      description: 'Function defined parameter value',
      info: '',
      bitoffs: '16',
      bitsize: '8',
      enum: {
        item: {
          description: 'Func. 00: -- not used –-\n                      <br/>\n                      <br/>Func. 01: -- not used --\n                      <br/>\n                      <br/>Func. 02: -- not used --\n                      <br/>\n                      <br/>Func. 03: Ramping time (7...0 LSB) (65535 s)\n                      <br/>\n                      <br/>Func. 04: Ramping time (7...0 LSB) (65535 s)\n                      <br/>\n                      <br/>Func. 05: -- not used --\n                      <br/>\n                      <br/>Func. 06: Ramping time (7...0 LSB) (65535 s)\n                      <br/>\n                      <br/>Func. 07: B - Blue(0 ... 255)\n                      <br/>\n                      <br/>Func. 08:\n                      <br/>Bit7: 0 = Drive to scene-value\n                      <br/>Bit7: 1 = Stores actual value in the scene\n                      <br/>Bit3..0: Scene number 0 ... 15\n                      <br/>\n                      <br/>Func. 09: -- not used --\n                      <br/>\n                      <br/>Func. 10: -- not used --\n                      <br/>\n                      <br/>Func. 11: Blocks the local operations\n                      <br/>Enum:\n                      <br/>0 = Unlock local operations\n                      <br/>1 = Locking switch on commands\n                      <br/>2 = Locking switch off commands\n                      <br/>3 = Locking local operations\n                      <br/>\n                      <br/>Func. 12: Unit of energy metering value\n                      <br/>Enum:\n                      <br/>0 = mW\n                      <br/>1 = W\n                      <br/>2 = kW\n                      <br/>3 = MW\n                      <br/>4 = Wh\n                      <br/>5 = kWh\n                      <br/>6 = MWh\n                      <br/>7 = GWh\n                      <br/>8 = mA\n                      <br/>9 = 1/10 A\n                      <br/>10 = mV\n                      <br/>11 = 1/10 V\n                      <br/>12 ... 15 Not used'
        }
      }
    }, {
      data: 'Function',
      shortcut: 'FUNC',
      description: {},
      bitoffs: '24',
      bitsize: '4',
      enum: {
        item: [{
          value: '0',
          description: 'Do nothing, status request'
        }, {
          value: '1',
          description: 'Switched off'
        }, {
          value: '2',
          description: 'Switched on (Memory value)'
        }, {
          value: '3',
          description: 'Dimming up with ramping time'
        }, {
          value: '4',
          description: 'Dimming down with ramping time'
        }, {
          value: '5',
          description: 'Dimming stops'
        }, {
          value: '6',
          description: 'Set dimmer-value and ramping time'
        }, {
          value: '7',
          description: 'Set RGB values (see remark 1)'
        }, {
          value: '8',
          description: 'Scene function (see remark 2)'
        }, {
          value: '9',
          description: 'Set minimal and maximal dimmer-value (see remark 3)'
        }, {
          value: '10',
          description: 'Set the operating hours of the lamp (see remark 4)'
        }, {
          value: '11',
          description: 'Locking local operations (see remark 5)'
        }, {
          value: '12',
          description: 'Set a new value for the energy metering\n                    (overwrite the actual value with the selected unit)'
        }]
      }
    }, {
      data: 'Send status flag',
      shortcut: 'SSF',
      description: 'see remark 6',
      bitoffs: '29',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Send new status of device'
        }, {
          value: '1',
          description: 'Send no status (e.g. Global central commands)'
        }]
      }
    }, {
      data: 'Store final value',
      shortcut: 'SFV',
      description: {},
      bitoffs: '30',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'No'
        }, {
          value: '1',
          description: 'Yes'
        }]
      }
    }, {
      data: 'Service Mode Flag',
      shortcut: 'SMF',
      description: {},
      bitoffs: '31',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Normal operation'
        }, {
          value: '1',
          description: 'Service mode: The module disables all\n                      senders, except this sender, which has set the service mode.\n                      (For example for maintenance)'
        }]
      }
    }]
  }],
  originalIndex: 136,
  eep: 'a5-38-09',
  rorg_title: '4BS Telegram',
  rorg_number: '0xA5',
  func_title: 'Central Command',
  func_number: '0x38',
  submitter: [
    'PEHA',
    'infratec'
  ]
}
