export const d20400 = {
  number: '0x00',
  title: 'Type 0x00',
  status: 'released',
  description: '',
  case: [{
    description: 'The manufacturer will indicate emission rates versus battery autonomy and day night status.\n                <br/>\n                <br/>',
    datafield: [{
      data: 'CO2',
      shortcut: 'CO2',
      description: 'Concentration (linear), 1 LSB = 7.84 ppm\n                  <br/>Or\n                  <br/>Concentration (linear), 1 LSB = 19.6 ppm',
      info: {},
      bitoffs: '0',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '2000 (or 5000)'
      },
      unit: 'ppm'
    }, {
      data: 'Humidity',
      shortcut: 'HUM',
      description: 'Rel. Humidity (linear), 1 LSB = 0.5 %',
      info: {},
      bitoffs: '8',
      bitsize: '8',
      range: {
        min: '0',
        max: '200'
      },
      scale: {
        min: '0',
        max: '100'
      },
      unit: '%'
    }, {
      data: 'Temperature',
      shortcut: 'TMP',
      description: 'Temperature (linear), 1 LSB = 0.2 °C',
      info: {},
      bitoffs: '16',
      bitsize: '8',
      range: {
        min: '0',
        max: '255'
      },
      scale: {
        min: '0',
        max: '+51'
      },
      unit: '°C'
    }, {
      data: 'Day/Night',
      shortcut: 'DN',
      description: '...',
      info: {},
      bitoffs: '24',
      bitsize: '1',
      enum: {
        item: [{
          value: '0',
          description: 'Day'
        }, {
          value: '1',
          description: 'Night'
        }]
      }
    }, {
      data: 'Battery autonomy',
      shortcut: 'BA',
      description: 'Battery autonomy',
      info: {},
      bitoffs: '25',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: '100 - 87.5 %'
        }, {
          value: '1',
          description: '87.5 - 75 %'
        }, {
          value: '2',
          description: '75 - 62.5 %'
        }, {
          value: '3',
          description: '62.5 - 50 %'
        }, {
          value: '4',
          description: '50 - 37.5 %'
        }, {
          value: '5',
          description: '37.5 - 25 %'
        }, {
          value: '6',
          description: '25 - 12.5 %'
        }, {
          value: '7',
          description: '12.5 - 0 %'
        }]
      }
    }, {
      reserved: {},
      bitoffs: '28',
      bitsize: '4'
    }]
  }],
  originalIndex: 165,
  eep: 'd2-04-00',
  rorg_title: 'VLD Telegram',
  rorg_number: '0xD2',
  func_title: 'CO2, Humidity, Temperature, Day/Night and Autonomy',
  func_number: '0x04',
  submitter: [
    'NanoSense'
  ]
}
