export const d23100 = {
  number: '0x00',
  title: 'Type 0x00',
  status: 'released',
  description: '',
  case: [{
    title: 'CMD 0x6 - Set meter configuration / MBUS (BUS = 1)',
    description: 'This message is sent to a metering device gateway to configure the meter\n              settings for one channel.\n                <br/>\n                <br/>Sender: controller; send type: broadcast or addressed.\n                <br/>',
    datafield: [{
      data: 'Report measurement',
      shortcut: 'RM',
      description: 'Minimum auto reporting interval',
      info: {},
      bitoffs: '0',
      bitsize: '4',
      enum: {
        item: [{
          value: '0',
          description: 'No auto reporting',
          info: {}
        }, {
          value: '1',
          description: 'Min. 1 s interval'
        }, {
          value: '2',
          description: 'Min. 3 s interval'
        }, {
          value: '3',
          description: 'Min. 10 s interval'
        }, {
          value: '4',
          description: 'Min. 30 s interval'
        }, {
          value: '5',
          description: 'Min. 100 s interval'
        }, {
          value: '6',
          description: 'Min. 300 s interval'
        }, {
          value: '7',
          description: 'Min. 1000 s interval'
        }, {
          min: '8',
          max: '15',
          description: 'Reserved'
        }]
      }
    }, {
      data: 'Command ID',
      shortcut: 'CMD',
      description: 'Command identifier',
      info: {},
      bitoffs: '4',
      bitsize: '4',
      enum: {
        item: {
          value: '0x06',
          description: 'ID 06'
        }
      }
    }, {
      reserved: {},
      bitoffs: '8',
      bitsize: '1'
    }, {
      data: 'Meter bus type',
      shortcut: 'BUS',
      description: 'The meter bus that should be configured',
      info: {},
      bitoffs: '9',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Reserved',
          info: {}
        }, {
          value: '1',
          description: 'MBUS'
        }, {
          value: '2',
          description: 'S0'
        }, {
          value: '3',
          description: 'D0'
        }]
      }
    }, {
      data: 'Meter channel index',
      shortcut: 'MCH',
      description: 'The meter number of given bus that should be configured',
      info: {},
      bitoffs: '11',
      bitsize: '5',
      range: {
        min: '0',
        max: '30'
      },
      scale: {
        min: '0',
        max: '30'
      },
      unit: '1'
    }, {
      reserved: {},
      bitoffs: '16',
      bitsize: '2'
    }, {
      data: 'Meter 1 units',
      shortcut: 'UNIT1',
      description: 'Physical units of first measured quantity\n                  <br/>(imported value)',
      info: {},
      bitoffs: '18',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No reading (unconfigured)',
          info: {}
        }, {
          value: '1',
          description: 'Current value W, accumulated value kWh'
        }, {
          value: '2',
          description: 'Current value W, accumulated value Wh'
        }, {
          value: '3',
          description: 'Accumulated value kWh only'
        }, {
          value: '4',
          description: 'Current value m3/h, accumulated value m3'
        }, {
          value: '5',
          description: 'Current value dm3/h, accumulated value dm3'
        }, {
          value: '6',
          description: 'Accumulated value m3 only'
        }, {
          value: '7',
          description: 'Digital counter'
        }]
      }
    }, {
      data: 'Meter 2 units',
      shortcut: 'UNIT2',
      description: 'Physical units of second measured quantity\n                  <br/>(exported value)',
      info: {},
      bitoffs: '21',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No reading (unconfigured)',
          info: {}
        }, {
          value: '1',
          description: 'Current value W, accumulated value kWh'
        }, {
          value: '2',
          description: 'Current value W, accumulated value Wh'
        }, {
          value: '3',
          description: 'Accumulated value kWh only'
        }, {
          value: '4',
          description: 'Current value m3/h, accumulated value m3'
        }, {
          value: '5',
          description: 'Current value dm3/h, accumulated value dm3'
        }, {
          value: '6',
          description: 'Accumulated value m3 only'
        }, {
          value: '7',
          description: 'Digital counter'
        }]
      }
    }, {
      data: 'Primary Address',
      shortcut: 'ADDR',
      description: 'The primary MBUS address of the meter',
      info: {},
      bitoffs: '24',
      bitsize: '8',
      range: {
        min: '1',
        max: '250'
      },
      scale: {
        min: '1',
        max: '250'
      },
      unit: '1'
    }, {
      reserved: {},
      data: {},
      shortcut: {},
      description: {},
      bitoffs: '32',
      bitsize: '40'
    }]
  }, {
    title: 'CMD 0x6 - Set meter configuration / S0 (BUS = 2)',
    description: {},
    datafield: [{
      data: 'Report measurement',
      shortcut: 'RM',
      description: 'Minimum auto reporting interval',
      info: {},
      bitoffs: '0',
      bitsize: '4',
      enum: {
        item: [{
          value: '0',
          description: 'No auto reporting',
          info: {}
        }, {
          value: '1',
          description: 'Min. 1 s interval'
        }, {
          value: '2',
          description: 'Min. 3 s interval'
        }, {
          value: '3',
          description: 'Min. 10 s interval'
        }, {
          value: '4',
          description: 'Min. 30 s interval'
        }, {
          value: '5',
          description: 'Min. 100 s interval'
        }, {
          value: '6',
          description: 'Min. 300 s interval'
        }, {
          value: '7',
          description: 'Min. 1000 s interval'
        }, {
          min: '8',
          max: '15',
          description: 'Reserved'
        }]
      }
    }, {
      data: 'Command ID',
      shortcut: 'CMD',
      description: 'Command identifier',
      info: {},
      bitoffs: '4',
      bitsize: '4',
      enum: {
        item: {
          value: '0x06',
          description: 'ID 06'
        }
      }
    }, {
      reserved: {},
      bitoffs: '8',
      bitsize: '1'
    }, {
      data: 'Meter bus type',
      shortcut: 'BUS',
      description: 'The meter bus that should be configured',
      info: {},
      bitoffs: '9',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Reserved',
          info: {}
        }, {
          value: '1',
          description: 'MBUS'
        }, {
          value: '2',
          description: 'S0'
        }, {
          value: '3',
          description: 'D0'
        }]
      }
    }, {
      data: 'Meter channel index',
      shortcut: 'MCH',
      description: 'The meter number of given bus that should be configured',
      info: {},
      bitoffs: '11',
      bitsize: '5',
      range: {
        min: '0',
        max: '30'
      },
      scale: {
        min: '0',
        max: '30'
      },
      unit: '1'
    }, {
      reserved: {},
      bitoffs: '16',
      bitsize: '2'
    }, {
      data: 'Meter 1 units',
      shortcut: 'UNIT1',
      description: 'Physical units of first measured quantity\n                  <br/>(imported value)',
      info: {},
      bitoffs: '18',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No reading (unconfigured)',
          info: {}
        }, {
          value: '1',
          description: 'Current value W, accumulated value kWh'
        }, {
          value: '2',
          description: 'Current value W, accumulated value Wh'
        }, {
          value: '3',
          description: 'Accumulated value kWh only'
        }, {
          value: '4',
          description: 'Current value m3/h, accumulated value m3'
        }, {
          value: '5',
          description: 'Current value dm3/h, accumulated value dm3'
        }, {
          value: '6',
          description: 'Accumulated value m3 only'
        }, {
          value: '7',
          description: 'Digital counter'
        }]
      }
    }, {
      data: 'Meter 2 units',
      shortcut: 'UNIT2',
      description: 'Physical units of second measured quantity\n                  <br/>(exported value)',
      info: {},
      bitoffs: '21',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No reading (unconfigured)',
          info: {}
        }, {
          value: '1',
          description: 'Current value W, accumulated value kWh'
        }, {
          value: '2',
          description: 'Current value W, accumulated value Wh'
        }, {
          value: '3',
          description: 'Accumulated value kWh only'
        }, {
          value: '4',
          description: 'Current value m3/h, accumulated value m3'
        }, {
          value: '5',
          description: 'Current value dm3/h, accumulated value dm3'
        }, {
          value: '6',
          description: 'Accumulated value m3 only'
        }, {
          value: '7',
          description: 'Digital counter'
        }]
      }
    }, {
      data: 'Factor of number of pulses',
      shortcut: 'FACP',
      description: 'The factor for the number of pulses\n                  <br/>per value in UNIT1',
      info: {},
      bitoffs: '24',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: '1',
          info: {}
        }, {
          value: '1',
          description: '0.1'
        }, {
          value: '2',
          description: '0.01'
        }, {
          value: '3',
          description: '0.001'
        }]
      }
    }, {
      data: 'Number of pulses',
      shortcut: 'NOP',
      description: 'The number of pulses per value in UNIT1* FACP',
      info: {},
      bitoffs: '26',
      bitsize: '14',
      enum: {
        item: [{
          value: '0',
          description: 'Do not change the current setting of NOP',
          info: {}
        }, {
          min: '1',
          max: '16383',
          description: 'Number of pulses per unit<br/> (EEP 2.6.5:\n                    <span style="font-weight:bold;color:green">1 … 16383</span>\n                    <span style="text-decoration:line-through;color:red">1 … 65535</span>)'
        }]
      }
    }, {
      data: 'Preset value',
      shortcut: 'RST',
      description: 'Preset the accumulated value to this value',
      info: {},
      bitoffs: '40',
      bitsize: '32',
      enum: {
        item: [{
          min: '0',
          max: '4294967294',
          description: 'New preset value',
          info: {}
        }, {
          value: '0xFFFFFFFF',
          description: 'Do not change the current value'
        }]
      }
    }]
  }, {
    title: 'CMD 0x6 - Set meter configuration / D0 (BUS = 3)',
    description: {},
    datafield: [{
      data: 'Report measurement',
      shortcut: 'RM',
      description: 'Minimum auto reporting interval',
      info: {},
      bitoffs: '0',
      bitsize: '4',
      enum: {
        item: [{
          value: '0',
          description: 'No auto reporting',
          info: {}
        }, {
          value: '1',
          description: 'Min. 1 s interval'
        }, {
          value: '2',
          description: 'Min. 3 s interval'
        }, {
          value: '3',
          description: 'Min. 10 s interval'
        }, {
          value: '4',
          description: 'Min. 30 s interval'
        }, {
          value: '5',
          description: 'Min. 100 s interval'
        }, {
          value: '6',
          description: 'Min. 300 s interval'
        }, {
          value: '7',
          description: 'Min. 1000 s interval'
        }, {
          min: '8',
          max: '15',
          description: 'Reserved'
        }]
      }
    }, {
      data: 'Command ID',
      shortcut: 'CMD',
      description: 'Command identifier',
      info: {},
      bitoffs: '4',
      bitsize: '4',
      enum: {
        item: {
          value: '0x06',
          description: 'ID 06'
        }
      }
    }, {
      reserved: {},
      bitoffs: '8',
      bitsize: '1'
    }, {
      data: 'Meter bus type',
      shortcut: 'BUS',
      description: 'The meter bus that should be configured',
      info: {},
      bitoffs: '9',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Reserved',
          info: {}
        }, {
          value: '1',
          description: 'MBUS'
        }, {
          value: '2',
          description: 'S0'
        }, {
          value: '3',
          description: 'D0'
        }]
      }
    }, {
      data: 'Meter channel index',
      shortcut: 'MCH',
      description: 'The meter number of given bus that should be configured',
      info: {},
      bitoffs: '11',
      bitsize: '5',
      range: {
        min: '0',
        max: '30'
      },
      scale: {
        min: '0',
        max: '30'
      },
      unit: '1'
    }, {
      reserved: {},
      bitoffs: '16',
      bitsize: '2'
    }, {
      data: 'Meter 1 units',
      shortcut: 'UNIT1',
      description: 'Physical units of first measured quantity\n                  <br/>(imported value)',
      info: {},
      bitoffs: '18',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No reading (unconfigured)',
          info: {}
        }, {
          value: '1',
          description: 'Current value W, accumulated value kWh'
        }, {
          value: '2',
          description: 'Current value W, accumulated value Wh'
        }, {
          value: '3',
          description: 'Accumulated value kWh only'
        }, {
          value: '4',
          description: 'Current value m3/h, accumulated value m3'
        }, {
          value: '5',
          description: 'Current value dm3/h, accumulated value dm3'
        }, {
          value: '6',
          description: 'Accumulated value m3 only'
        }, {
          value: '7',
          description: 'Digital counter'
        }]
      }
    }, {
      data: 'Meter 2 units',
      shortcut: 'UNIT2',
      description: 'Physical units of second measured quantity\n                  <br/>(exported value)',
      info: {},
      bitoffs: '21',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No reading (unconfigured)',
          info: {}
        }, {
          value: '1',
          description: 'Current value W, accumulated value kWh'
        }, {
          value: '2',
          description: 'Current value W, accumulated value Wh'
        }, {
          value: '3',
          description: 'Accumulated value kWh only'
        }, {
          value: '4',
          description: 'Current value m3/h, accumulated value m3'
        }, {
          value: '5',
          description: 'Current value dm3/h, accumulated value dm3'
        }, {
          value: '6',
          description: 'Accumulated value m3 only'
        }, {
          value: '7',
          description: 'Digital counter'
        }]
      }
    }, {
      data: 'D0 Protocol',
      shortcut: 'PROT',
      description: 'The D0 protocol that should be used for that meter',
      info: {},
      bitoffs: '24',
      bitsize: '8',
      enum: {
        item: [{
          value: '0',
          description: 'Auto detect',
          info: {}
        }, {
          value: '1',
          description: 'SML (Smart Message Language)'
        }, {
          value: '2',
          description: 'DLMS (Device Language Message Specification)'
        }, {
          min: '3',
          max: '255',
          description: 'Reserved'
        }]
      }
    }, {
      reserved: {},
      bitoffs: '32',
      bitsize: '40'
    }]
  }, {
    title: 'CMD 0x7 - Meter Status Query',
    description: 'This message is sent to a metering device gateway to query the status of a meter.\n                <br/>Sender: controller; send type: broadcast or addressed; expected response: CMD 0x8.\n                <br/>',
    datafield: [{
      reserved: {},
      bitoffs: '0',
      bitsize: '4'
    }, {
      data: 'Command ID',
      shortcut: 'CMD',
      description: 'Command identifier',
      info: {},
      bitoffs: '4',
      bitsize: '4',
      enum: {
        item: {
          value: '0x07',
          description: 'ID 07'
        }
      }
    }, {
      reserved: {},
      bitoffs: '8',
      bitsize: '1'
    }, {
      data: 'Meter bus type',
      shortcut: 'BUS',
      description: 'The meter bus type that is queried',
      info: {},
      bitoffs: '9',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Reserved',
          info: {}
        }, {
          value: '1',
          description: 'MBUS'
        }, {
          value: '2',
          description: 'S0'
        }, {
          value: '3',
          description: 'D0'
        }]
      }
    }, {
      data: 'Meter channel index',
      shortcut: 'MCH',
      description: 'The meter channel of given bus that status is queried',
      info: {},
      bitoffs: '11',
      bitsize: '5',
      enum: {
        item: [{
          min: '0',
          max: '30',
          description: 'Meter channel',
          info: {}
        }, {
          value: '31',
          description: 'All valid channels'
        }]
      }
    }]
  }, {
    title: 'CMD 0x8 - Meter reading report / status response',
    description: 'This message is sent by a metering device gateway to report the meter\n              values for each configured channel.\n              It is sent if one of the following events occurs:\n                <br/>- Message "meter status query" has been received (CMD 0x7)\n                <br/>- Status or meter reading of one channel has changed and auto\n              reporting was configured by signal RM.\n                <br/>\n                <br/>Sender: sensor; send type: broadcast; maximum send delay 1 s.\n                <br/>',
    datafield: [{
      reserved: {},
      bitoffs: '0',
      bitsize: '1'
    }, {
      data: 'Meter status / error',
      shortcut: 'MSTAT',
      description: 'Meter channel status',
      info: {},
      bitoffs: '1',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'No fault',
          info: {}
        }, {
          value: '1',
          description: 'General error'
        }, {
          value: '2',
          description: 'Bus unconfigured'
        }, {
          value: '3',
          description: 'Bus unconnected'
        }, {
          value: '4',
          description: 'Bus shortcut'
        }, {
          value: '5',
          description: 'Communication timeout'
        }, {
          value: '6',
          description: 'Unknown protocol or\n                      <br/>configuration mismatch'
        }, {
          value: '7',
          description: 'Bus initialization running'
        }]
      }
    }, {
      data: 'Command ID',
      shortcut: 'CMD',
      description: 'Command identifier',
      info: {},
      bitoffs: '4',
      bitsize: '4',
      enum: {
        item: {
          value: '0x08',
          description: 'ID 08'
        }
      }
    }, {
      reserved: {},
      bitoffs: '8',
      bitsize: '1'
    }, {
      data: 'Meter bus type',
      shortcut: 'BUS',
      description: 'The used bus of the meter status response',
      info: {},
      bitoffs: '9',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Reserved',
          info: {}
        }, {
          value: '1',
          description: 'MBUS'
        }, {
          value: '2',
          description: 'S0'
        }, {
          value: '3',
          description: 'D0'
        }]
      }
    }, {
      data: 'Meter channel index',
      shortcut: 'MCH',
      description: 'The meter number of given bus that status is reported',
      info: {},
      bitoffs: '11',
      bitsize: '5',
      range: {
        min: '0',
        max: '30'
      },
      scale: {
        min: '0',
        max: '30'
      },
      unit: '1'
    }, {
      reserved: {},
      bitoffs: '16',
      bitsize: '3'
    }, {
      data: 'Value selection',
      shortcut: 'VSEL',
      description: 'The selection of the reported value',
      info: {},
      bitoffs: '19',
      bitsize: '2',
      enum: {
        item: [{
          value: '0',
          description: 'Meter 1 Current value',
          info: {}
        }, {
          value: '1',
          description: 'Meter 1 Accumulated value'
        }, {
          value: '2',
          description: 'Meter 2 Current value'
        }, {
          value: '3',
          description: 'Meter 2 Accumulated value'
        }]
      }
    }, {
      data: 'Value unit',
      shortcut: 'VUNIT',
      description: 'The unit of the reported value',
      info: {},
      bitoffs: '21',
      bitsize: '3',
      enum: {
        item: [{
          value: '0',
          description: 'W',
          info: {}
        }, {
          value: '1',
          description: 'Wh'
        }, {
          value: '2',
          description: 'kWh'
        }, {
          value: '3',
          description: 'm3/h'
        }, {
          value: '4',
          description: 'dm3/h'
        }, {
          value: '5',
          description: 'm3'
        }, {
          value: '6',
          description: 'dm3'
        }, {
          value: '7',
          description: '1 (digital counter)'
        }]
      }
    }, {
      data: 'Meter reading value',
      shortcut: 'VAL',
      description: 'The reported value',
      info: {},
      bitoffs: '24',
      bitsize: '32',
      range: {
        min: '0',
        max: '4294967295'
      },
      scale: {
        min: '0',
        max: '4294967295'
      },
      unit: 'According to VUNIT'
    }]
  }],
  originalIndex: 204,
  eep: 'd2-31-00',
  rorg_title: 'VLD Telegram',
  rorg_number: '0xD2',
  func_title: 'Automated Meter Reading Gateway',
  func_number: '0x31',
  submitter: [
    'MSR-Solutions'
  ]
}
