export const f60501 = {
  number: '0x01',
  title: 'Liquid Leakage Sensor (mechanic harvester)',
  status: 'released',
  description: '\n              <br/><br/>\n              Description:<br/>\n              This profile is used for devices detecting leakage.\n              It is commonly placed on ground where a leakage causes damage.\n              <br/>\n              The principle is that “paper rings” swell in water and trigger an\n              ECO 200 (generator) based transmitter.\n              <br/><br/>\n              <span style="border-bottom:2px groove #000000;">Data exchange</span>\n              <br/>\n              Direction: unidirectional<br/>\n              Addressing: broadcast<br/>\n              Communication trigger: event-triggered<br/>\n              Communication interval: NA<br/>\n              Trigger event: (water detection)<br/>\n              Teach-in method: RPS teach-in',
  case: [{
    statusfield: [{
      data: 'T21',
      bitoffs: '2',
      bitsize: '1',
      value: '1'
    }, {
      data: 'NU',
      bitoffs: '3',
      bitsize: '1',
      value: '1'
    }],
    datafield: [{
      data: 'Water sensor',
      shortcut: 'WAS',
      description: 'Alert signal that the sensor detected water leakage',
      bitoffs: '0',
      bitsize: '8',
      enum: {
        item: {
          value: '0x11',
          description: 'Water detected'
        }
      }
    }]
  }],
  originalIndex: 9,
  eep: 'f6-05-01',
  rorg_title: 'RPS Telegram',
  rorg_number: '0xF6',
  func_title: 'Detectors',
  func_number: '0x05',
  submitter: [
    'Afriso',
    'EnOcean'
  ]
}
