export const f61000 = {
  number: '0x00',
  title: 'Window Handle',
  status: 'released',
  description: 'The bits marked with "X" in\n              DB_0 should not be checked.\n              These bits can be "1" or "0"\n              and should not be assumed\n              to be a defined value,\n              because both of them are\n              allowed and not predictable!',
  case: [{
    condition: {
      statusfield: [{
        bitoffs: '2',
        bitsize: '1',
        value: '1'
      }, {
        bitoffs: '3',
        bitsize: '1',
        value: '0'
      }]
    },
    statusfield: [{
      data: 'T21',
      bitoffs: '2',
      bitsize: '1',
      value: '1'
    }, {
      data: 'NU',
      bitoffs: '3',
      bitsize: '1',
      value: '0'
    }],
    datafield: [{
      data: 'Window handle',
      shortcut: 'WIN',
      description: 'Movement of the window handle',
      bitoffs: '0',
      bitsize: '8',
      enum: {
        item: [{
          bitmask: '11010000',
          value: '11000000',
          description: 'left/right'
        }, {
          bitmask: '11110000',
          value: '11110000',
          description: 'down'
        }, {
          bitmask: '11110000',
          value: '11010000',
          description: 'up'
        }]
      }
    }]
  }],
  originalIndex: 10,
  eep: 'f6-10-00',
  rorg_title: 'RPS Telegram',
  rorg_number: '0xF6',
  func_title: 'Mechanical Handle',
  func_number: '0x10',
  submitter: [
    'HOPPE AG'
  ]
}
