import { RadioERP1 } from '../../radio-erp1/src/radio-erp1.js'
import { CommonCommand } from '../../common-command/src/common-command.js'
import { Response } from '../../esp3-packets/src/packet-types/Response.js'
import { RadioERP2 } from '../../esp3-packets/src/packet-types/RadioERP2.js'
import { Transform } from 'stream'
const packetTypes = {
  0x01: RadioERP1,
  0x02: Response,
  0x05: CommonCommand,
  0x0A: RadioERP2
}

class ESP3Transformer extends Transform {
  constructor (options) {
    super({ ...options, ...{ objectMode: true } })
  }

  _transform (chunk, encoding, cb) {
    var packet = chunk
    if (chunk.packetType in packetTypes) {
      packet = packetTypes[chunk.packetType].from(chunk)
    }
    this.push(packet)
    cb()
  }
}
export { ESP3Transformer }
