// import { Response, ESP3Packet } from '../../esp3-packets/src/esp3-packets.js'

function WebsocketSender (socket) {
  return {
    send (tel) {
      return new Promise((resolve, reject) => {
        const t1 = setTimeout(() => { reject(new Error('timeout')) }, 1000)
        const callback = data => {
          clearTimeout(t1)
          socket.removeListener('response', callback)
          socket.removeListener('error', errCallback)
          resolve(data)
        }
        const errCallback = err => reject(err)
        socket.on('response', callback)
        socket.on('error', errCallback)
        socket.emit('send', tel)
      })
    }
  }
}
export default WebsocketSender
export { WebsocketSender }
