export const d2010d = {
  $t: '',
  number: '0x0D',
  title: 'Type 0x0D',
  status: 'released',
  description: '\n\t\t      <br/>\n\t\t      <br/>\n              <br/>\n\t\t      <span style="border-bottom:2px groove #000000;">Description for TYPE 0x0D, 0x0E, 0x0F, 0x12</span>\n\t\t      <br/>\n              <br/>Add three commands:\n              <br/>- CMD 0xB – Actuator Set External Interface Settings\n              <br/>- CMD 0xC – Actuator External Interface Settings Query\n              <br/>- CMD 0xD – Actuator External Interface Settings Response\n              <br/>\n              <br/>Supported functions:\n              <br/>- External Switch/Push Button Control\n              <br/>- External Switch/Push Button Type (Bi-stable or Mono-stable / 2-state switch)\n              <br/>- Auto OFF Timer\n              <br/>- Delay OFF Timer\n              <br/>\n              <br/>Add D2-01-0D profile – Micro smart plug with 1 channel, no metering capabilities\n              <br/>Add D2-01-0E profile – Micro smart plug with 1 channel, and metering capabilities\n              <br/>Add D2-01-0F profile – Slot-in module with 1 channel, no metering capabilities\n              <br/>Add D2-01-12 profile – Slot-in module with 2 channels, no metering capabilities\n              <br/>\n              <br/>These new profiles are modifications of the existing ones, please find below a listing:\n              <br/>- Profile D2-01-0D is all same as D2-01-0A but with one modification\n              <br/>- Profile D2-01-0E is all same as D2-01-0B but with one modification\n              <br/>- Profiles D2-01-0F is all same as D2-01-0A but with three modifications\n              <br/>- Profiles D2-01-12 is all same as D2-01-0A but with four modifications\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <br/><span style="border-bottom:2px groove #000000;">Description of new supported functions</span><br/>\n\t\t      <br/><b>External Switch/Push Button Control</b>\n\t\t      <br/><br/>\n              As for “Local Control” function, it indicates if the product can be\n              controlled using an additional physical interface, as an external\n              push button or wall switch. This interface is not directly integrated\n              to the product, but can be connected using wires.\n              <br/>\n\t\t      <br/><b>External Switch/Push Button Type</b>\n              <ul><li>Bi-stable or Mono-stable:\n              <br/>\n              External interface can be composed of bi-stable button (switch) or\n              mono-stable button (push button). Depending of the type selected,\n              the product will have different reactions when switch/push button\n              actions are detected.\n              <br/>\n              - If bi-stable button type selected, each change of state (open or\n              close) toggle the output.\n              <br/>\n              - If mono-stable button type selected, first change of state (open\n              or close) toggle the output, second change (close or open) is\n              ignored, and output remains unchanged.\n\t\t      <br/>\n              NOTE: If the product has more than one output, the external interface\n              type is applied for all outputs.\n              </li></ul>\n              <ul><li>2-state switch:\n              <br/>\n              This parameter is effective only if external switch/push button type\n              is set as “bi-stable”. When this setting is enabled, the device will\n              turn ON output(s) when contacts are closed and turn OFF output(s)\n              when contacts are open. When this setting is disabled (default mode),\n              a change of contacts state will toggle the output(s).\n              </li></ul>\n\t\t      <br/><b>Auto OFF Timer</b>\n\t\t      <br/>\n              This functions turns OFF the output when time elapsed.\n\t\t      <br/>\n              Use case: In corridor, when you turn ON the light, you want it\n              to be turned OFF automatically after a certain time.\n              <br/>\n              <br/><b>Delay OFF Timer</b>\n              <br/>\n              When the device receives a valid radio command, setting an output state to OFF,\n              instead of setting immediately the new output state, this function set\n              the new output state when time elapsed.\n              <br/>\n              Use Case: In hotel room, when you send a radio command (removing card\n              from card switch) to turn OFF the light, instead, turn OFF light after\n              a certain time, to allow people to leave the room.\n              <br/>\n              <br/>\n\t\t      The addition of these functions required three new commands:\n              <br/>- CMD 0xB – Actuator Set External Interface Settings\n              <br/>- CMD 0xC – Actuator External Interface Settings Query\n\t\t      <br/>- CMD 0xD – Actuator External Interface Settings Response\n              <br/>\n\t\t      <br/>\n\t\t      <span style="border-bottom:2px groove #000000;">Data exchange</span>\n\t\t      <br/>Direction: bidirectional\n\t\t      <br/>Addressing: broadcast\n\t\t      <br/>Communication trigger: event triggered\n\t\t      <br/>Communication interval: no fix interval\n\t\t      <br/>Trigger event: actuator status change, consumption information\n\t\t      <br/>Tx delay: -\n\t\t      <br/>Rx timeout: -\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style="border-bottom:2px groove #000000;">Teach-in</span>\n\t\t      <br/>Teach-in method: Universal teach-in (UTE)\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style="border-bottom:2px groove #000000;">Security</span>\n\t\t      <br/>Encryption supported: no\n\t\t      <br/>Security level format: -\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <br/>\n              <table>\n\t\t        <tr>\n\t\t          <th>Supported command</th>\n\t\t          <th>Type 0x0D</th>\n\t\t          <th>Type 0x0E</th>\n\t\t          <th>Type 0x0F</th>\n\t\t          <th>Type 0x12</th>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x1 – Actuator Set Output</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x2 – Actuator Set Local</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x3 – Actuator Status Query</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x4 – Actuator Status Response</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x5 – Actuator Set Measurement</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x6 – Actuator Measurement Query</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x7 – Actuator Measurement Response</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x8 – Actuator Set Pilot Wire Mode</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x9 – Actuator Pilot Wire Mode Query</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xA – Actuator Pilot Wire Mode Response</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xB – Actuator Set External Interface Settings</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xC – Actuator External Interface Settings Query</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xD – Actuator External Interface Settings Response</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">-</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t          <td style="background-color:#FFFFFF">X</td>\n\t\t        </tr>\n\t\t      </table>\n\t\t      <br/>',
  ref: 'd2-01-00',
  originalIndex: 153,
  eep: 'd2-01-0d',
  rorg_title: 'VLD Telegram',
  rorg_number: '0xD2',
  func_title: 'Electronic switches and dimmers with Energy Measurement and Local Control',
  func_number: '0x01',
  submitter: [
    'ID-RF'
  ]
}
